#pragma once
#include <map>
struct Fish_PirateOutFishCFGData
{
	//key
	int mID;
	//名字
	std::string mName;
	//类型
	int mType;
	//参数
	int mParamID;
	//出鱼权值
	int mOutWeight;
	//最大数量
	int mOutMaxCount;
	//路径分组
	int mRouteGroup;
	//分组
	int mGroupID;
	//分组最大鱼数
	int mGroupMaxFish;
};

class Fish_PirateOutFishCFG
{
public:
private:
	static std::auto_ptr<Fish_PirateOutFishCFG> msSingleton;
public:
	int GetCount();
	const Fish_PirateOutFishCFGData* GetData(int ID);
	const std::map<int, Fish_PirateOutFishCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_PirateOutFishCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_PirateOutFishCFGData> mMapData;
};
